Loading...
Searching...
No Matches
bsoncxx::v_noabi::types::b_decimal128 Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON Decimal128 value.

## Public Member Functions

template<typename T, detail::requires_not_t< int, detail::is_alike< b_decimal128, T > > = 0>
| b_decimal128 (T &&t)
| Constructor for b_decimal128.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_decimal128 const &lhs, b_decimal128 const &rhs)
| free function comparator for b_decimal128
bool | operator== (b_decimal128 const &lhs, b_decimal128 const &rhs)
| free function comparator for b_decimal128

## Constructor & Destructor Documentation

## b_decimal128()

template<typename T, detail::requires_not_t< int, detail::is_alike< b_decimal128, T > > = 0>

bsoncxx::v_noabi::types::b_decimal128::b_decimal128 | ( | T && | t | ) |

inline explicit

Constructor for b_decimal128.

Parameters

  t | The value to wrap.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_decimal128 const & | lhs,
|  | b_decimal128 const & | rhs )

related

free function comparator for b_decimal128

## operator==()

bool operator== | ( | b_decimal128 const & | lhs,
|  | b_decimal128 const & | rhs )

related

free function comparator for b_decimal128

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp